classification
Title: importlib title and introduction are out of date
Type: behavior Stage:
Components: Documentation Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, docs@python, eric.snow, python-dev, r.david.murray
Priority: normal Keywords:

Created on 2014-02-02 15:41 by r.david.murray, last changed 2014-02-06 14:50 by brett.cannon. This issue is now closed.

Messages (2)
msg209994 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-02-02 15:41
Now that importlib *is* the import system in CPython, the title ("An Implementation of import") and the intro ("a reference implementation that is easier to comprehend than..." seem to me like they are out of date and should be reworded.
msg210391 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-06 14:50
New changeset cc08bf665dea by Brett Cannon in branch '3.3':
Issue #20488: Update docs to say importlib is *the* implementaiton of
http://hg.python.org/cpython/rev/cc08bf665dea

New changeset 5641c0b50072 by Brett Cannon in branch 'default':
Merge for issue #20488
http://hg.python.org/cpython/rev/5641c0b50072
History
Date User Action Args
2014-02-06 14:50:50brett.cannonsetstatus: open -> closed
resolution: fixed
2014-02-06 14:50:06python-devsetnosy: + python-dev
messages: + msg210391
2014-02-03 17:40:21brett.cannonsetassignee: docs@python -> brett.cannon
2014-02-02 15:41:58r.david.murraycreate